init crashes when updating libc6:amd64 to version 2.18-0ubuntu-5

Bug #1269483 reported by Giovanni Pardini on 2014-01-15
This bug report is a duplicate of:  Bug #1269731: init crashed with SIGSEGV. Edit Remove
16
This bug affects 4 people
Affects Status Importance Assigned to Milestone
eglibc
Confirmed
Undecided
Unassigned

Bug Description

The computer initially freezed while installing updates through synaptic.
After a reboot, "dpkg --configure -a" causes init to crash as soon as it tries to configure package libc6:amd64 version 2.18-0ubuntu-5.

This consistently happens every time I do "dpkg --configure -a".

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: upstart 1.11-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-2.17-generic 3.13.0-rc7
Uname: Linux 3.13.0-2-generic x86_64
ApportVersion: 2.13.1-0ubuntu1
Architecture: amd64
Date: Wed Jan 15 16:52:06 2014
InstallationDate: Installed on 2013-12-28 (17 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20131228)
ProcEnviron:
 LANGUAGE=it
 TERM=xterm
 PATH=(custom, no user)
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcKernelCmdline: BOOT_IMAGE=/boot/vmlinuz-3.13.0-2-generic root=UUID=16177761-3ca7-4f93-8e90-ccfefe20351f ro quiet splash vt.handoff=7
SourcePackage: upstart
UpgradeStatus: No upgrade log present (probably fresh install)
UpstartBugCategory: System
UpstartRunningSystemVersion: init (upstart 1.11)
modified.conffile..etc.bumblebee.xorg.conf.nouveau: [modified]
modified.conffile..etc.bumblebee.xorg.conf.nvidia: [modified]
mtime.conffile..etc.bumblebee.xorg.conf.nouveau: 2014-01-14T18:58:38.671382
mtime.conffile..etc.bumblebee.xorg.conf.nvidia: 2014-01-14T18:58:39.231102

Giovanni Pardini (gio.pardini) wrote :
dino99 (9d9) wrote :

Also happened on i386:

from /var/lib/dpkg/status, i get package: ca-certificates half configured, libc6 half unpacked

then dpkg --configure -a freeze the whole system (needs a cold reboot)

oem@dev32:~$ sudo dpkg --audit
[sudo] password for oem:
The following packages are only half configured, probably due to problems
configuring them the first time. The configuration should be retried using
dpkg --configure <package> or the configure menu option in dselect:
 libc6:i386 Embedded GNU C Library: Shared libraries

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in upstart (Ubuntu):
status: New → Confirmed
dino99 (9d9) on 2014-01-15
tags: added: i386
dino99 (9d9) on 2014-01-15
affects: upstart (Ubuntu) → eglibc
JByteCoder (jbytecoder) wrote :

Try performign dpkg --configure -a in recovery mode. it helped for me

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers